<template>
  <div class="album-badge" :style="{ 'background-color': color }">
    {{ $t(`badge.${badge}`) }}
  </div>
</template>

<script>
export default {
  props: {
    badge: {
      type: String,
      required: true
    }
  },
  computed: {
    color() {
      switch (this.badge) {
        case 'staff':
          return '#d8d8d8'
        case 'new':
          return '#1583e3'
        case 'soon':
          return '#24b892'
        case 'abo':
          return '#1d968f'
        case 'eazy':
          return '#6d5ce6'
        case 'exclu':
        default:
          return '#fdba00'
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.album-badge {
  display: inline-block;
  padding: 0.25rem 0.5rem;
  color: #fff;
  font-family: DINCond-Bold;
  padding-top: 6px; // to handle font behavior

  @media (max-width: 768px) {
    font-size: 12px;
  }
}
</style>
